> ## Documentation Index
> Fetch the complete documentation index at: https://arc.sdjz.wiki/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prometheus metrics text



## OpenAPI

````yaml openapi/arc-observability.openapi.yaml get /metrics
openapi: 3.1.0
info:
  title: Arc Observability Admin API
  version: 1.0.0
  license:
    name: Apache-2.0
    identifier: Apache-2.0
  description: >
    OpenAPI for admin observability endpoints implemented in
    `crates/arc-observability/src/lib.rs`.


    Authentication behavior:

    - If an admin auth token is configured, send `Authorization: Bearer
    <token>`.

    - If no token is configured, only loopback clients are accepted.
servers:
  - url: http://127.0.0.1:9090
security:
  - bearerAuth: []
  - {}
paths:
  /metrics:
    get:
      summary: Get Prometheus metrics text
      operationId: getPrometheusMetrics
      responses:
        '200':
          description: Prometheus exposition format
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
              example: |
                unauthorized
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````